# Run tests in check section
%bcond_without check

%global goipath         honnef.co/go/js/dom
%global forgeurl        https://github.com/dominikh/go-js-dom
%global commit          6da835bec70f84cd4f0c0b8a7239a9260b6bc37f

%gometa

Name:           %{goname}
Version:        0
Release:        0.3%{?dist}
Summary:        GopherJS bindings for the JavaScript DOM APIs
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  golang(github.com/gopherjs/gopherjs/js)

%description
%{summary}



%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles




%changelog
* Thu Sep 17 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1628115
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1335718
- imported package golang-honnef-js-dom

